#!/bin/bash
#SBATCH --no-requeue
#SBATCH --job-name="HubbardUM-nscf-py"
#SBATCH --get-user-env
#SBATCH --output=_scheduler-stdout.txt
#SBATCH --error=_scheduler-stderr.txt
#SBATCH --partition=standard96
#SBATCH --account=hbcmacke
#SBATCH --nodes=4
#SBATCH --ntasks-per-node=96
#SBATCH --time=01:00:00


module load intel/19.1.2
module load impi/2019.8
module load hdf5-parallel/impi/intel/1.12.0

export SLURM_CPU_BIND=none
export OMP_NUM_THREADS=1
export I_MPI_HYDRA_TOPOLIB=ipl
export I_MPI_HYDRA_BRANCH_COUNT=-1

'mpirun' '-np' '380' '/scratch/usr/hbcmacke/hubbard_um/q-e/PW/src/pw.x' '-nk' '38' '-in' 'fes2.U_1.0.in'  > 'fes2.U_1.0.out' 
'mpirun' '-np' '380' '/scratch/usr/hbcmacke/hubbard_um/q-e/PW/src/pw.x' '-nk' '38' '-in' 'fes2.U_1.5.in'  > 'fes2.U_1.5.out' 
'mpirun' '-np' '380' '/scratch/usr/hbcmacke/hubbard_um/q-e/PW/src/pw.x' '-nk' '38' '-in' 'fes2.U_2.0.in'  > 'fes2.U_2.0.out' 
'mpirun' '-np' '380' '/scratch/usr/hbcmacke/hubbard_um/q-e/PW/src/pw.x' '-nk' '38' '-in' 'fes2.U_2.5.in'  > 'fes2.U_2.5.out' 
'mpirun' '-np' '380' '/scratch/usr/hbcmacke/hubbard_um/q-e/PW/src/pw.x' '-nk' '38' '-in' 'fes2.U_3.0.in'  > 'fes2.U_3.0.out' 
'mpirun' '-np' '380' '/scratch/usr/hbcmacke/hubbard_um/q-e/PW/src/pw.x' '-nk' '38' '-in' 'fes2.U_3.5.in'  > 'fes2.U_3.5.out' 
'mpirun' '-np' '380' '/scratch/usr/hbcmacke/hubbard_um/q-e/PW/src/pw.x' '-nk' '38' '-in' 'fes2.U_4.0.in'  > 'fes2.U_4.0.out' 
'mpirun' '-np' '380' '/scratch/usr/hbcmacke/hubbard_um/q-e/PW/src/pw.x' '-nk' '38' '-in' 'fes2.U_4.5.in'  > 'fes2.U_4.5.out' 
'mpirun' '-np' '380' '/scratch/usr/hbcmacke/hubbard_um/q-e/PW/src/pw.x' '-nk' '38' '-in' 'fes2.U_5.0.in'  > 'fes2.U_5.0.out' 
