#!/bin/bash

############### DEFINITIONS ############### 
PREFIX='mno2'
AT_PER=('1' '17')  #The individual atoms that were perturbed (1=the first Mn1 atom, 17=the first O atom)
NAT_PER=48         #The total number of atoms belonging to a perturbed species
###########################################

rm dn* file.$PREFIX

for AT1 in "${AT_PER[@]}"; do
   for AT in $(seq 1 $NAT_PER); do
      NUM_DN0=$(($AT))
      NUM_DN=$(($NAT_PER-$AT+1))

      NEG_DN0=$(grep @ $PREFIX.min05.$AT1.out -n  | awk -F ' ' '{print $13}' | head -n $NUM_DN0 | tail -n 1)
      POS_DN0=$(grep @ $PREFIX.05.$AT1.out -n  | awk -F ' ' '{print $13}' | head -n $NUM_DN0 | tail -n 1)

      NEG_DN=$(grep @ $PREFIX.min05.$AT1.out -n  | awk -F ' ' '{print $13}' | tail -n $NUM_DN | head -n 1)
      POS_DN=$(grep @ $PREFIX.05.$AT1.out -n  | awk -F ' ' '{print $13}' | tail -n $NUM_DN | head -n 1)

      echo ' -0.05 ' $NEG_DN0 >> dn0.$AT.da.$AT1.dat
      echo '  0.05 ' $POS_DN0 >> dn0.$AT.da.$AT1.dat

      echo ' -0.05 ' $NEG_DN >> dn.$AT.da.$AT1.dat
      echo '  0.05 ' $POS_DN >> dn.$AT.da.$AT1.dat

      echo dn.$AT.da.$AT1.dat dn0.$AT.da.$AT1.dat >> file.$PREFIX
   done
done

